Skip to main content
PUT
Merge Artists
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

artist//merge Description: The /artist/{id}/merge endpoint merges one or more artists into a primary artist. All assets and products from the secondary artists will be associated with the primary artist, and the secondary artists will be deleted after the merge. Method: PUT Path Parameter: Query Parameters:

Code Examples

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string
required

Primary Artist ID to merge into

Query Parameters

ids
string
required

Comma-separated list of secondary artist IDs to merge

Response

Success

message
string
assetsUpdatedCount
integer

Number of assets reassigned to the primary artist

productsUpdatedCount
integer

Number of products reassigned to the primary artist

artistsDeletedCount
integer

Number of secondary artists deleted after merge

totalChanges
integer

Total number of changes made (sum of all updates and deletions)